Redmine - Defect #19537

Broken HTML sanitizer refence breaks email receiving

2015-03-31 17:58 - Phil Stewart

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 3.0.2

Resolution: Fixed Affected version: 3.0.1
Description

HTML emails fail silently when receiving emails via IMAP due to broken HTML sanitizer reference in MailHandler.full_sanitizer on line

449 of app/models/mail_handler.rb:

def self.full_sanitizer

@full_sanitizer ||= HTML::FullSanitizer.new

end

Changing this line to @full_sanitizer ||= Rails::Html::FullSanitizer.new works, although it didn't do a particularly good job on the stuck

email I'd sent from Outlook.

Redmine: 3.0.1
Rails: 4.2.0
Ruby: 2.2.0

Associated revisions

Revision 14219 - 2015-04-25 10:26 - Jean-Philippe Lang

Removed invalid sanitizer in MailHandler (#19537).

Revision 14220 - 2015-04-25 10:27 - Jean-Philippe Lang
Merged r14219 (#19537).

History

#1 - 2015-04-03 11:11 - Timur Voroshilov

This line @full_sanitizer ||= Rails::Html::FullSanitizer.new works:
Ruby 2.0.0

Rails 4.2.0

Redmine 3.0.1

And normally works on import mail sent by MS Outlook 2013.

#2 - 2015-04-06 16:10 - Rupesh J

This is a new implementation of rails sanitizer, This did not work, So using the old deprecated one, through a GEM.

gem 'rails-deprecated_sanitizer'

Until this is corrected with the rails sanitizer...! :)

#3 - 2015-04-08 18:30 - Phil Stewart

I've created a Gemfile.local file in my install and added gem 'rails-deprecated_sanitizer', which works nicely without having to change MailHandler

over to the new sanitizer.

#4 - 2015-04-24 04:41 - Toshi MARUYAMA

- Target version set to 3.0.2

#5 - 2015-04-25 10:28 - Jean-Philippe Lang

- Subject changed from Broken HTML sanitizer refence breaks redmine:email:receive_imap to Broken HTML sanitizer refence breaks email receiving

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14219, the default Rails sanitizer is now used.

#6 - 2015-04-29 10:41 - Rupesh J

The text striping is not handled.
| am getting some unwanted Outlook mail tags.
Please let me know if this needs to be reported as another bug ?

#7 - 2015-04-29 10:50 - Rupesh J
- File MailHandler_Strip_sample.png added

#8 - 2015-04-29 12:27 - Toshi MARUYAMA
Rupesh J wrote:
The text striping is not handled.
| am getting some unwanted Outlook mail tags.
Did it work on Redmine 2.x?
Please let me know if this needs to be reported as another bug ?
If it is regression of Redmine 3.0,
please create new issue because 3.0.2 was released.

If it is not regression of Redmine 3.0,
I think it is duplicate of #13209.

#9 - 2015-04-29 12:39 - Rupesh J
Ok, | will create a regression bug.
It worked in

® 2.6.X
¢ 3.0.1 using the gem 'rails-deprecated_sanitizer'

#10 - 2015-04-29 15:56 - Toshi MARUYAMA
Thank you for creating #19737.
